QGIS Application - Bug report #21790

QGIS 3.4.4 crashes on Save when more than one copy running

2019-04-08 12:30 PM - Andrew Turner

Status: Closed

Priority: Normal

Assignee:

Category: Actions

Affected QGIS version:3.4.4 Regression?: No
Operating System: Windows 10 Easy fix?: No

Pull Request or Patch supplied: Resolution: duplicate
Crashes QGIS or corrupls data: Copied to github as #: 29605

Description

User Feedback

Saving project whilst another copy of QGIS is open with another project. Seems that having more than one copy of QGIS open causes
this error on save. Does not seem to happen with a single copy of QGIS open. However | often need to work on more than one project

simultaneously.

Report Details

Crash ID: 5ad41d6be94809f981e2ec9b06a0e20f1d0b0a87
Stack Trace

proj_lpz_dist :

proj_lpz_dist :
QgsCoordinateTransform::transformPolygon :
QgsCoordinateTransform::transformPolygon :
QgsCoordinateTransform::QgsCoordinateTransform :
QHashData::free_helper :
QgsCoordinateTransform::addToCache :
QgsCoordinateTransform::invalidateCache :
QgsApplication::exitQgis :

QgisApp::~QgisApp :

CPLStringList::operator char * __ptré4 * __ ptr64 :
main :

BaseThreadInitThunk :

RtlUserThreadStart :

QGIS Info

QGIS Version: 3.4.4-Madeira

QGIS code revision: commit:féddc62fdb
Compiled against Qt: 5.11.2

Running against Qt: 5.11.2

Compiled against GDAL: 2.4.0

Running against GDAL: 2.4.0

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 10.0.17134

Related issues:

Duplicates QGIS Application - Bug report # 20283: Crash when exiting program ...

Reopened 2018-10-30

History

#1 - 2019-04-08 01:20 PM - Jiirgen Fischer

2024-04-23

12




- Resolution set to duplicate

- Status changed from Open to Closed

#2 - 2019-04-08 01:20 PM - Jiirgen Fischer
- Duplicates Bug report #20283: Crash when exiting program [proj _Ipz_dist] added

2024-04-23 22



